apiVersion: v1
kind: Pod
metadata:
  name: un-pod-sans-secret
  labels:
    run: un-pod-sans-secret
spec:
 # dnsPolicy: ClusterFirst
  containers:
    - name: change
      image: curlimages/curl
      imagePullPolicy: IfNotPresent   # the pull policy of all containers in that pod will be set to IfNotPresent if it is not explicitly specified
      env:
        - name: CLEF_API
          value: fca_live_DNvRH2Nj4Iay6dVF0A2UE0ArmLzsplHwEia5gdgS
      args:
        - -s
       # - https://api.freecurrencyapi.com/v1/latest?apikey=$CLEF_API&currencies=GBP,USD&base_currency=EUR      NE fonctionne PAS ! (Même si statut "Completed" parfois visible)
       # - https://api.freecurrencyapi.com/v1/latest?apikey=${CLEF_API}&currencies=GBP,USD&base_currency=EUR    NE fonctionne PAS ! (Même si statut "Completed" parfois visible)
       #    NOTER LES PARENTHÈSES CI-DESSOUS AUTOUR DU NOM DE LA VARIABLE D'ENVIRONNEMENT (https://kubernetes.io/docs/tasks/inject-data-application/define-interdependent-environment-variables/)
        - https://api.freecurrencyapi.com/v1/latest?apikey=$(CLEF_API)&currencies=GBP,USD&base_currency=EUR
  restartPolicy: Never   # Forbidden: may not be set for non-init containers  SI directive définie au niveau d'un conteneur (et non du pod)
                         # considérer le réglage OnFailure si le conteneur se montre quelque peu "capricieux"
                         # https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle/#restart-policy
                         # https://stackoverflow.com/questions/40530946/what-is-the-difference-between-always-and-on-failure-for-kubernetes-restart-poli
